Geonix

List proxies

GEThttps://geonix.com/personal/api/v1/{apiKey}/proxy/list/{type}

Through this endpoint, access your acquired proxies available in your personal account dashboard, including diverse types such as IPV4, IPV6, ISP, Mobile, and Resident.

Headers

Name

Value

Content-Type

application/json

Path parameters

Name

Type

Description

apiKey*

string

API key to authorize requests

type

string

Available values : ipv4, ipv6, mobile, isp, resident

Request examples

curl -X GET "https://geonix.com/personal/api/v1/YOUR_API_KEY_HERE/proxy/list/ipv4"
<?php
$apiKey = 'YOUR_API_KEY_HERE'; // Replace with your actual API key
$url = "https://geonix.com/personal/api/v1/$apiKey/proxy/list";

$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
curl_close($ch);

echo $response;
?>
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;

public class ProxyListExample {
    public static void main(String[] args) {
        String apiKey = "YOUR_API_KEY_HERE"; // Replace with your actual API key
        String requestURL = "https://geonix.com/personal/api/v1/" + apiKey + "/proxy/list/ipv6";

        try {
            URL url = new URL(requestURL);
            HttpURLConnection conn = (HttpURLConnection) url.openConnection();
            conn.setRequestMethod("GET");

            int responseCode = conn.getResponseCode();
            System.out.println("Response Code: " + responseCode);

            BufferedReader in = new BufferedReader(new InputStreamReader(conn.getInputStream()));
            String inputLine;
            StringBuffer response = new StringBuffer();

            while ((inputLine = in.readLine()) != null) {
                response.append(inputLine);
            }
            in.close();

            System.out.println(response.toString());
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}

Response examples

{
  "status": "success",
  "data": {
    "items": [
      {
        "id": 10,
        "order_id": 1000000,
        "ip": "127.0.0.1",
        "port_http": 80,
        "port_socks": 443,
        "login": "login",
        "password": "password",
        "auth_ip": "127.0.0.2",
        "country": "USA",
        "date_start": "d.m.Y H:i:s",
        "date_end": "d.m.Y H:i:s",
        "comment": "d.m.Y H:i:s",
        "status": "ACTIVE",
        "rotation": "5",
        "link_reboot": "https://geonix.com/api/proxy/reboot?token=12345",
        "can_prolong": true
      }
    ]
  },
  "errors": []
}
{
  "status": "success",
  "data": {
    "ipv4": [
      {
        "id": 10,
        "order_id": 1000000,
        "ip": "127.0.0.1",
        "port_http": 80,
        "port_socks": 443,
        "login": "login",
        "password": "password",
        "auth_ip": "127.0.0.2",
        "country": "USA",
        "date_start": "d.m.Y H:i:s",
        "date_end": "d.m.Y H:i:s",
        "comment": "d.m.Y H:i:s",
        "status": "ACTIVE",
        "rotation": "5",
        "link_reboot": "",
        "can_prolong": true
      }
    ],
    "ipv6": [
      {
        "id": 10,
        "order_id": 1000000,
        "ip": "127.0.0.1",
        "port_http": 80,
        "port_socks": 443,
        "login": "login",
        "password": "password",
        "auth_ip": "127.0.0.2",
        "country": "USA",
        "date_start": "d.m.Y H:i:s",
        "date_end": "d.m.Y H:i:s",
        "comment": "d.m.Y H:i:s",
        "status": "ACTIVE",
        "rotation": "5",
        "link_reboot": "",
        "can_prolong": true
      }
    ],
    "mobile": [
      {
        "id": 10,
        "order_id": 1000000,
        "ip": "127.0.0.1",
        "port_http": 80,
        "port_socks": 443,
        "login": "login",
        "password": "password",
        "auth_ip": "127.0.0.2",
        "country": "USA",
        "date_start": "d.m.Y H:i:s",
        "date_end": "d.m.Y H:i:s",
        "comment": "d.m.Y H:i:s",
        "status": "ACTIVE",
        "rotation": "5",
        "link_reboot": "https://geonix.com/api/proxy/reboot?token=12345",
        "can_prolong": true
      }
    ]
  },
  "errors": []
}

On this page